import { FileOrFolderPath } from "../../../common/model/Primitives";
import { FileOrFolderPathUnboxed } from "../../../common/model/UnboxedPrimitives";
import { PathPermissionScope } from "../../../folders/dtos/shared/PathPermissionScope";
export interface PathPatternDto {
    path: FileOrFolderPath;
    scope: PathPermissionScope;
}
/**
 * Describes which file(s) and/or folder(s) to apply the permissions to.
 */
export interface PathPatternUnboxedDto {
    path: FileOrFolderPathUnboxed;
    scope: PathPermissionScope;
}
