// SYNC: upload-website -> ManageApiKey.tsx -> form defaults.
import { FileName, FolderPath, PathVariable } from "@upload-io/upload-shared-iso";
import { systemFolders } from "@upload-io/upload-shared-iso/folders/model/SystemFolders";

export const defaultApiKeyFolderPath = FolderPath(
  `${systemFolders.defaultUploadLocation}/{${PathVariable.utcYear}}/{${PathVariable.utcMonth}}/{${PathVariable.utcDay}}`
);
export const defaultApiKeyFileName = FileName(
  `{${PathVariable.originalFileName}}-{${PathVariable.uniqueToken4}}{${PathVariable.originalFileNameExt}}`
);
