import { BytesByEpochDto } from "@upload-io/upload-shared-iso";
import { BytesByEpochUnboxedDto } from "@upload-io/upload-shared-iso/statistics/storage/dtos/shared/BytesByEpochDto";

export interface DailyMonthlyBytesDto {
  byDay: BytesByEpochDto;
  byMonth: BytesByEpochDto;
}

export interface DailyMonthlyBytesUnboxedDto {
  byDay: BytesByEpochUnboxedDto;
  byMonth: BytesByEpochUnboxedDto;
}

export namespace DailyMonthlyBytesDto {
  export const empty: DailyMonthlyBytesDto = {
    byDay: {},
    byMonth: {}
  };
  export function combine(left: DailyMonthlyBytesDto, right: DailyMonthlyBytesDto): DailyMonthlyBytesDto {
    return {
      byDay: BytesByEpochDto.combine(left.byDay, right.byDay),
      byMonth: BytesByEpochDto.combine(left.byMonth, right.byMonth)
    };
  }
}
