import { JSONSchema7 } from "json-schema";
import { JsonValue, NonEmptyArray } from "@upload-io/upload-shared-iso";
import { NormalizedJsonSchema } from "../../../plugins/qsToJsonMapper/model/ObjectWithMetadata";
export declare class JsonSchemaUtils {
    /**
     * Assumes no $ref in schema.
     */
    static normalizePolymorphisms(schema: JSONSchema7): NonEmptyArray<NormalizedJsonSchema>;
    static passesBasicTypeCheck(schema: JSONSchema7 & {
        nullable?: boolean;
    }, value: JsonValue): boolean;
}
