import { FileOrFolderPath } from "@upload-io/upload-shared-iso/common/model/Primitives";
import { FileOrFolderPathUnboxed } from "@upload-io/upload-shared-iso/common/model/UnboxedPrimitives";
import { PathPermissionScope } from "@upload-io/upload-shared-iso/folders/dtos/shared/PathPermissionScope";

export interface PathPatternDto {
  path: FileOrFolderPath;
  scope: PathPermissionScope;
}

/**
 * Describes which file(s) and/or folder(s) to apply the permissions to.
 */
export interface PathPatternUnboxedDto {
  path: FileOrFolderPathUnboxed;
  scope: PathPermissionScope;
}
